# Time-stamp: <00/09/20 14:56:17 lpu.spec wbosse@berlin.snafu.de>

%define bin     /usr/bin
%define share   /usr/share/lpu
%define afmpath /usr/share/fonts/default/Type1

Summary: Label Printing Utility
Name: lpu
Version: 0.9
Release: 24
Copyright: GPL
Vendor: John R. Schrader, <jrschrader@mainz-online.de>
Url: http://home.mainz-online.de/~jschrade/lpu.html
Group: Applications/Text
Source: %{name}-%{version}-%{release}.tar.gz
Requires: urw-fonts >= 2.0
BuildRoot: /var/tmp/%{name}-%{version}-%{release}
Packager: Werner Bosse <wbosse@berlin.snafu.de>

%description
LPU (the Label Printing Utility) is a tool for creating labels and forms of any
kind from a textual description. It uses a line oriented command language to
describe the desired objects. Some of the features of the language are:
variables, expressions, assignments, procedures, control elements for repeated
or conditional execution of statements, import of data from a textual database,
and even a small debugger. To achieve a maximum of flexibility, LPU generates
output in the Adobe Postscript(TM) format.

For configuration and examples see %{share}/.

%changelog
* Wed Sep 20 2000 Werner Bosse <wbosse@berlin.snafu.de>
- build on RedHat 6.2.
- initialization of spec file.

%prep
%setup -n %{name}-%{version}-%{release}

%build
cd src
make BINDIR=%{bin}

%install
cd src
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT%{bin}
install -m 755 -s lpu $RPM_BUILD_ROOT%{bin}
install -m 755 lpu.sh $RPM_BUILD_ROOT%{bin}
cd ../demo
install -m 755 -d $RPM_BUILD_ROOT%{share}
install -m 644 * $RPM_BUILD_ROOT%{share}

%post
# adjust AfmPath in demo configuration:
if [ -d %{afmpath} ] ; then
  cd %{share}
  if [ -s lpu.dev ] ; then
    sed "s|^\(%%AfmPath\).*$|\1 %{afmpath}|" lpu.dev > lpu.dev_
    mv lpu.dev_ lpu.dev
  fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGELOG COPYING INSTALL README TODO VERSION doc
%{bin}/*
%{share}
